gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper Manages layout for table cells.
- Method
  2.12.0.0
  System.Void `` `` `` a a a Adds an attribute mapping to the list for this cell layout. The is the column of the model to get a value from, and the is the parameter on to be set from the value. So for example if column 2 of the model contains strings, you could have the "text" attribute of a get its values from column 2.
- Property
  2.12.0.0
  Gtk.CellRenderer[] To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void Unsets all the mappings on all renderers for this cell layout.
- Method
  2.12.0.0
  System.Void `` a Clears all existing attributes previously set with .
- Method
  2.12.0.0
  System.Void `` `` a a , TRUE if is to be given extra space allocated to this cell layout. Adds the to the end of the cell layout. If is FALSE, then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which is TRUE.
- Method
  2.12.0.0
  System.Void `` `` a a , TRUE if is to be given extra space allocated to this cell layout. Packs into the beginning of the cell layout. If is FALSE, then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which is TRUE.
- Method
  2.12.0.0
  System.Void `` `` a a Re-inserts at . Note that has already to be packed into the cell layout for this to function properly.
- Method
  2.12.0.0
  System.Void `` `` a a Sets the attribute to model column bindings for a renderer. The array should consist of pairs of attribute names and column indices.
- Method
  2.12.0.0
  System.Void `` `` a a Sets up a data function for this layout. The data function is used instead of the standard attributes mapping for setting the column value, and should set the value of the layout's cell renderer(s) as appropriate. may be to remove an older one.